#include "redica.h"
#include <bits/stdc++.h>
using namespace std;
void gen(vector<int>& v,int n,int k,int s,int needsize)
{
    if(s<n||s>n*k) return;
    if(n==0)
    {
        submit(v);return;
    }
    for(int i=max(1,s-(n-1)*k);i<=min(k,s-(n-1));i++)
    {
        v.push_back(i);
        gen(v,n-1,k,s-i,needsize);
        v.pop_back();
    }
}
int dp[310][90100];
void Fill(int n,int k,int s)
{
    dp[0][0]=1;
    for(int i=1;i<=n;i++)
    {
        for(int sum=0;sum<=s;sum++)
        {
            for(int j=1;j<=k;j++)
            {
                if(sum>=j) dp[i][sum]+=dp[i-1][sum-j];
            }
        }
    }
}
void solve(int N, int K, int S)
{
    Fill(N,K,S);
    int need=S;
    vector<int> v;
    int rem=N;
    vector<int> v1;
    for(int i=1;i<=N;i++)
    {
        v1.push_back(1);
    }
    submit(v1);
    while(1)
    {
        if(dp[rem][neec]<=6e8)
        {
            gen(v,rem,K,need,N);
        }
        int x=query();
        v.push_back(x);
        need-=x;
        rem--;
    }
}
